'''
Created on 01/05/2009

@author: ben
'''

from room import (Room,InteractionObject)
from things import (Thing,StaticThing)
import globals

class Bench(InteractionObject):
    def __init__(self,ia):
        super(Bench,self).__init__(ia)
        self.items_left = ["screwdriver","boltcutters"]
        
    def used(self,item):
        InteractionObject.used(self,item)
        gm = globals.game
        pl = globals.player
        
        if len(self.items_left)==0:
            gm.displayText("Bits and pieces, junk really.", 4.0)
        else:
            options = ["take "+i for i in self.items_left]
            gm.query(self,options)       
            
    def notify(self, res):
        gm = globals.game
        pl = globals.player
        
        if res=="take screwdriver":
            gm.displayText("Got screwdriver",2.0)
            pl.addItem("screwdriver")
            self.screwdriver.show = False
            self.items_left.remove("screwdriver")
        elif res=="take boltcutters":
            gm.displayText("Got boltcutters",2.0)
            pl.addItem("boltcutters")
            self.boltcutters.show = False
            self.items_left.remove("boltcutters")
                    
class Shed(Room):
    '''
    Shed
    '''

    def __init__(self):
        super(Shed,self).__init__("A dank old shed","shed.dat")
        self.loadAndSortObjects({'screwdriver':StaticThing("screwdriver.png"),
                                 'boltcutters':StaticThing('boltcutters.png')})
        self.setInteractionZones({'bench':Bench})
        
        bench = self.getInteractionObject('bench')
        bench.screwdriver = self.getObject('screwdriver')
        bench.boltcutters = self.getObject('boltcutters')
            
      