'''
Created on 01/05/2009

@author: ben
'''

'''
Created on 01/05/2009

@author: ben
'''

from room import (Room,InteractionObject)
from things import (Thing,StaticThing)
import globals

class FuseBox(InteractionObject):
    def __init__(self,ia):
        super(FuseBox,self).__init__(ia)
        self.locked = True
        self.off = False
        
    def used(self,item):
        InteractionObject.used(self,item)
        gm = globals.game
        pl = globals.player
        
        if self.off:
            gm.displayText("The power is off.")
        else:            
            if self.locked:            
                if pl.hasItem("boltcutters"):
                    gm.displayText("You cut the lock off with the boltcutters",2.0)
                    self.locked = False                
                else:
                    gm.displayText("A fuse box. It's got a giant padlock on it.", 4.0)
            else:
                gm.query(self,["turn the power off"])
            
    def notify(self,result):
        gm = globals.game
        pl = globals.player
        
        if result=="turn the power off":
            self.off = True
            gm.displayText("You turned off the power")
            gm.notify("power off")
                
class Side(Room):
    
    def __init__(self):
        super(Side,self).__init__("The side of the house","side.dat")
        self.setInteractionZones({'fuse':FuseBox})
        self.loadAndSortObjects()
#===============================================================================
#        
#        bench = self.getInteractionObject('bench')
#        bench.screwdriver = self.getObject('screwdriver')
#        bench.boltcutters = self.getObject('boltcutters')
#            
#===============================================================================
      
        