'''
Created on 01/05/2009

@author: ben
'''

'''
Created on 01/05/2009

@author: ben
'''

from room import (Room,InteractionObject)
from things import (Thing,StaticThing)
import globals

class FrontDoor(InteractionObject):
    def __init__(self,ia):
        super(FrontDoor,self).__init__(ia)
        self.knocked = False
        
    def used(self,item):
        InteractionObject.used(self,item)
        gm = globals.game
        pl = globals.player
        
        if not self.knocked:
            self.knocked = True
            gm.displayText("knock knock", 1.0)
            gm.scheduleOnce(lambda dt: gm.displayText("nobody answers ... i've got to get my ball back",2.0), 1.0)        
        else:
            gm.displayText("I can see someone is home, but they are ignoring me",2.0)
 
class Sign(InteractionObject):
    def __init__(self,ia):
        super(Sign,self).__init__(ia)
        
    def used(self,item):
        InteractionObject.used(self,item)
        gm = globals.game
        pl = globals.player        
        
        gm.displayText("keep off the lawn", 1.0, size=7)
        gm.scheduleOnce(lambda dt: gm.displayText("a short game", 1, size=6), 1.0)
        gm.scheduleOnce(lambda dt: gm.displayText("by ben porter", 1, size=6), 2.0)
        ue = gm.undiscoveredEndings
        if len(ue)==0:        
            gm.scheduleOnce(lambda dt: gm.displayText("all endings found, congrats",2,size=5),3.0)
        else:
            gm.scheduleOnce(lambda dt: gm.displayText("<br />".join(ue),len(ue),size=4),3.0)

class Exit(InteractionObject):
    def __init__(self,ia):
        super(Exit,self).__init__(ia)
        
    def entered(self):
        InteractionObject.entered(self)
        gm = globals.game
        pl = globals.player        
       
        if pl.hasItem("ball"):
            gm.ending("went home")
        else:
            gm.query(self,["Yes"],"Do you really want to leave?")
    
    def notify(self,str):
        if str=="Yes":
            globals.game.ending("went home")
           
class Front(Room):    
    def __init__(self):
        super(Front,self).__init__("The front lawn","front.dat")
        self.loadAndSortObjects({'sign':StaticThing("sign.png"),'flowers':StaticThing("flowers.png")})
        self.setInteractionZones({'door':FrontDoor,'sign':Sign,'exit':Exit,'start':InteractionObject,'ballpos':InteractionObject})
    