'''
Created on 27/04/2009

@author: ben
'''

import pyglet
from pyglet.gl import *
import math

if __name__ == '__main__':
    window = pyglet.window.Window(visible=False,fullscreen=True)
    width = window.width
    height = window.height
    
    t = 0
    dt = 1/60.0
        
    @window.event
    def on_draw():
        global t
        t += dt
        window.clear()
        
        glColor3f(1,1,1)
        glPushMatrix()
        glTranslatef(width/2,height/2,1)
        glTranslatef(math.sin(t)*50,math.cos(t)*50,0)
        glRotatef(t*10,0,0,1)
        glRectf(-25,-25,25,25)
        glPopMatrix()
                
    pyglet.clock.schedule_interval(lambda dt: None, dt)
    window.set_visible(True)
    pyglet.app.run()  